requirejs.config({
    baseUrl: 'custom/javascripts/modules',
    paths: {
        mmenu: 'mmenu',
        header: 'header',
        map: 'map',
        slidersFactory: 'sliders_factory',
        slidersInit: 'sliders_init',
        custom: 'custom'
    }
});

var modules = function() {

    requirejs(['header'], function(header) {
        headerMod();
    });

    if (document.querySelector('[id*="Slider"]') !== null || document.querySelector('[id*="Swiper"]') !== null) {
        requirejs(['slidersInit', 'slidersFactory'], function(slidersInit, slidersFactory) {
            init_Sliders();
            handleMainSlider();
        });
    }

    requirejs(['mmenu'], function(mmenu) {
        setupMMenu();
    });

    if (document.getElementById('map') !== null) {
        requirejs(['slidersFactory', 'map'], function(slidersFactory, map) {
            initMap();
        });
    }

    requirejs(['custom'], function(custom) {
        customJS();
    });

};

if (document.readyState == "loading") {
    document.addEventListener("DOMContentLoaded", function() {
        modules();
    });
} else {
    modules();
}
