window.addEventListener('load', function() {
    // Address Slider Click Event to update map marker for active slide
    if (document.getElementById("addressSlider")) {
        document.getElementById('addressSlider').addEventListener("click", updateMapMarker);
        document.getElementById('addressSlider').addEventListener("swipe", updateMapMarker);
    }
});

// Update Active Map Slide Marker
function updateMapMarker() {
    $('#addressSlider .swiper-slide-active .map_marker').click();
}

function initMap() {
    if ($('#my_map').length) {
        reload_map();
        // Handle and Create Main Slider

        sliderFactory({
            target: "addressSlider",
            loop: true,
            slidesPerViewDesktop: 1,
            slidesPerViewLargeTablet: 1,
            slidesPerViewSmallTablet: 1,
            slidesPerViewPhone: 1,
            direction: 'horizontal',
            simulateTouch: false,
            effect: 'slide',
            spaceBetween: 0,
            paginationClickable: true,
            autoHeight: true
        });

    }

    $('#addressSlider .map_marker').click(function() {
        objAddress = window.objLocations[$(this).parents('.swiper-slide').attr("data-location")];
        var addressIndex = $(this).parents('.swiper-slide').attr("data-location");
        var mapData = {
            "values": []
        };
        var i = 0;
        while (window.objLocations[i] != null) {
            var img = "images/marker.png";
            if (i == addressIndex) {
                mapData.values.push({
                    'address': window.objLocations[i].address,
                    options: {
                        icon: new google.maps.MarkerImage(img),
                        animation: google.maps.Animation.DROP
                    }
                });
            }
            i++;
        }

        window.map.gmap3({
            clear: {
                name: ["marker"]
            },
            marker: mapData,
            getlatlng: {
                address: objAddress.address,
                callback: function(results) {

                    if (!results) return;

                    $('#my_map .map_overlay').gmap3('get').panTo(results[0].geometry.location);
                }
            },
            map: {
                options: {
                    zoom: 10
                }
            }
        });
    });
} 

function reload_map() {

    var mapData = {
        "values": []
    };

    var i = 0;

    while (window.objLocations[i] != null) {
        mapData.values.push({
            'address': window.objLocations[i].address,
            options: {
                icon: new google.maps.MarkerImage("images/marker.png"),
                animation: google.maps.Animation.DROP
            }
        });
        i++;
    }

    window.map = $('#my_map .map_overlay').gmap3({
        action: 'destroy'
    });

    if (i > 1) {
        $("#my_map .map_overlay").gmap3({
            map: {
                options: {
                    center: null,
                    zoom: 17,
                    mapTypeId: google.maps.MapTypeId.ROADMAP,
                    mapTypeControl: true,
                    mapTypeControlOptions: {
                        style: google.maps.MapTypeControlStyle.DROPDOWN_MENU
                    },
                    styles: [{ "featureType": "landscape", "stylers": [{ "saturation": -100 }, { "lightness": -10 }, { "visibility": "on" }] }, { "featureType": "poi", "stylers": [{ "saturation": -100 }, { "lightness": 25 }, { "visibility": "simplified" }] }, { "featureType": "road.highway", "stylers": [{ "saturation": -100 }, { "visibility": "simplified" }] }, { "featureType": "road.arterial", "stylers": [{ "saturation": -100 }, { "lightness": 10 }, { "visibility": "on" }] }, { "featureType": "road.local", "stylers": [{ "saturation": -100 }, { "lightness": 10 }, { "visibility": "on" }] }, { "featureType": "transit", "stylers": [{ "saturation": -100 }, { "visibility": "simplified" }] }, { "featureType": "administrative.province", "stylers": [{ "visibility": "off" }] }, { "featureType": "water", "elementType": "labels", "stylers": [{ "visibility": "on" }, { "lightness": -25 }, { "saturation": -100 }] }, { "featureType": "water", "elementType": "geometry", "stylers": [{ "hue": "#ffff00" }, { "lightness": -25 }, { "saturation": -97 }] }],
                    navigationControl: true,
                    scrollwheel: false,
                    streetViewControl: true,
                }
            },
            marker: mapData
        }, "autofit");
    } else {
        var locationCoord;

        $("#my_map .map_overlay").gmap3({
            getlatlng: {
                address: mapData['values'][0].address,
                callback: function(results) {
                    if (!results) return;
                    if (window.innerWidth < 768) locationCoord = results[0].geometry.location;
                    else if (window.innerWidth > 767 && window.innerWidth < 1200) locationCoord = ({ lat: 35.38591864, lng: -119.02556777 });
                    else locationCoord = ({ lat: 35.38595363, lng: -119.02681231 });
                    if ($(".find_physician").length) locationCoord = results[0].geometry.location;
                    $(this).gmap3({
                        map: {
                            options: {
                                center: locationCoord,
                                zoom: 17,
                                mapTypeId: google.maps.MapTypeId.ROADMAP,
                                mapTypeControl: true,
                                mapTypeControlOptions: {
                                    style: google.maps.MapTypeControlStyle.DROPDOWN_MENU
                                },
                                styles: [{ "featureType": "landscape", "stylers": [{ "saturation": -100 }, { "lightness": -10 }, { "visibility": "on" }] }, { "featureType": "poi", "stylers": [{ "saturation": -100 }, { "lightness": 25 }, { "visibility": "simplified" }] }, { "featureType": "road.highway", "stylers": [{ "saturation": -100 }, { "visibility": "simplified" }] }, { "featureType": "road.arterial", "stylers": [{ "saturation": -100 }, { "lightness": 10 }, { "visibility": "on" }] }, { "featureType": "road.local", "stylers": [{ "saturation": -100 }, { "lightness": 10 }, { "visibility": "on" }] }, { "featureType": "transit", "stylers": [{ "saturation": -100 }, { "visibility": "simplified" }] }, { "featureType": "administrative.province", "stylers": [{ "visibility": "off" }] }, { "featureType": "water", "elementType": "labels", "stylers": [{ "visibility": "on" }, { "lightness": -25 }, { "saturation": -100 }] }, { "featureType": "water", "elementType": "geometry", "stylers": [{ "hue": "#ffff00" }, { "lightness": -25 }, { "saturation": -97 }] }],
                                navigationControl: true,
                                scrollwheel: false,
                                streetViewControl: true,
                            }
                        },
                        marker: mapData
                    });
                }
            }
        });
    }

    if ($(document).width() < 768) {
        $("#my_map .map_overlay").gmap3({
            map: {
                options: {
                    draggable: false
                }
            }
        });
    }
}
