function setupMMenu() {
    var menuTopHeight = 2;
    var menuBottomHeight = 4;
    var windowWidth = $(window).width();

    if (windowWidth < 768) {
        menuBottomHeight = 1;
        menuTopHeight = 1;
    }
    // Init MMENU
    wtmMmenu = $('#wtm-mmenu').mmenu({
        // Options
        offCanvas: {
            position: "left"
        },
        setSelected: {
            selected: "Selected"
        },
        navbars: [{
            position: "bottom",
            content: [""],
            height: menuBottomHeight
        }, {
            position: "top",
            content: [""],
            height: menuTopHeight
        }],
        extensions: ["pagedim-black", "multiline", "pageshadow"]
    }, {
        // configuration
        clone: true
    });

    // Remove Bootstrap Classes from MMENU Elements
    // $('#mm-wtm-mmenu').removeClass('navbar-collapse collapse');
    // $('#mm-wtm-mmenu ul').removeClass('nav navbar-nav nav-justified');
    // $("#mm-wtm-mmenu li.active").addClass('Selected');

    // Set the API
    API = wtmMmenu.data("mmenu");

    $("ul[role='menu'] > li ul").parent().each(function(index, item) {
        $(item).addClass('has-children').attr('data-submenu', index);
    });

    $("#mm-wtm-mmenu li.active").addClass('Selected');

    // Clone Top Menu to Footer
    $('#wtm-mmenu > ul').clone().appendTo('.l_footer .l_footer__nav .b_main_nav');
    $('.l_footer__nav .b_main_nav').addClass('b_main_nav--footer');
    $('.l_footer__nav .b_main_nav__ul').addClass('b_main_nav__ul--footer');
    $('.l_footer__nav .b_main_nav__item').addClass('b_main_nav__item--footer');
    $('.l_footer__nav .b_main_nav__link').addClass('b_main_nav__link--footer');
    $('.l_footer__nav .l_footer__phone').addClass('l_footer__phone--footer');


    var currentData;

    $('#mmenu-btn').click(function() {
        API.open();
    });

    $("ul[role='menu'] > li.has-children a").click(function(event) {
        event.preventDefault();
        currentData = Number($(this).parent().data('submenu')) + 2;
        API.open();
        API.openPanel($("#mm-" + currentData + ""));
    });
}
 