/**
 * Main SliderFactory class, contains slider creation logic
 *
 * @param  {sliderArgs}  arguments for the slider object
 *                                        
 * @return {Object}      self
 */
var moduleHeader = function(headerArgs) {
    var self = this;
    var arrHeaderArgs = headerArgs;

    /**
     * Primary building logic
     *
     * @return {self}
     */
    self.main = function() {
        if (!document.getElementsByClassName(arrHeaderArgs.headerClass)[0]) {
            return false;
        }
        var last_known_scroll_position = $(window).scrollTop();
        var ticking = false;

        self.hideMenu(last_known_scroll_position);

        window.addEventListener("scroll", function(e) {
            last_known_scroll_position = $(window).scrollTop();
            if (!ticking) {
                window.requestAnimationFrame(function() {
                    self.hideMenu(last_known_scroll_position);
                    ticking = false;
                });
            }
            ticking = true;
        });

        return self;

    };

    /**
     * Hide Menu
     *
     */
    self.hideMenu = function(last_known_scroll_position) {
        if (last_known_scroll_position > 10) {
            document.getElementsByClassName(arrHeaderArgs.headerClass)[0].className = arrHeaderArgs.headerClass + ' ' + arrHeaderArgs.smallModifier;
        } else {
            document.getElementsByClassName(arrHeaderArgs.headerClass)[0].className = arrHeaderArgs.headerClass;
        }
    }

    /**
     * Init method
     *
     * @param  {sliderArgs}  arguments for the slider object passed from obj def
     *
     * @return {void}
     */
    self.init = function() {
        self.main();
    };

    return self.init();
}
