/**
 * Main moduleMagnificPopup class, contains magnific popup creation logic
 *
 * @param  {sliderArgs}  arguments for the slider object
 *                                        
 * @return {Object}      self
 */
var moduleMagnificPopup = function(magnificPopupArgs) {
    var self = this;
    var arrMagnificPopupArgs = magnificPopupArgs;

    /**
     * Primary building logic
     *
     * @return {self}
     */
    self.main = function() {
        if (!document.getElementsByClassName(arrMagnificPopupArgs.headerClass)[0]) {
            return false;
        }
        var last_known_scroll_position = $(window).scrollTop();
        var ticking = false;

        self.hideMenu(last_known_scroll_position);

        window.addEventListener("scroll", function(e) {
            last_known_scroll_position = $(window).scrollTop();
            if (!ticking) {
                window.requestAnimationFrame(function() {
                    self.hideMenu(last_known_scroll_position);
                    ticking = false;
                });
            }
            ticking = true;
        });

        return self;

    };

    self.init = function() {
        self.main();
    };

    return self.init();
}
